import { LabelType } from 'interfaces/enums/LabelType';
import { AnnotationData, LabelsData } from 'store/labels/types';
interface IProps {
    annotationType: LabelType;
    imageData: AnnotationData;
    imageDragMode: boolean;
    onLabelsDataChange?: (labelsData: LabelsData) => void;
    onHover?: (id: string) => void;
    onClick?: (id: string) => void;
    onMouseOut?: (id: string) => void;
}
declare const useCanvasListeners: ({ imageData, annotationType, imageDragMode, onLabelsDataChange, onHover, onClick, onMouseOut, }: IProps) => void;
export default useCanvasListeners;
