import { IPoint, IRect, ISize } from 'interfaces';
import { Direction } from 'interfaces/enums/Direction';
export declare class ViewPortActions {
    static updateViewPortSize(): void;
    static updateDefaultViewPortImageRect(): void;
    static calculateViewPortContentSize(): ISize;
    static calculateViewPortContentImageRect(): IRect;
    static resizeCanvas(newCanvasSize: ISize): void;
    static resizeViewPortContent(): void;
    static calculateAbsoluteScrollPosition(relativePosition: IPoint): IPoint;
    static getRelativeScrollPosition(): IPoint;
    static getAbsoluteScrollPosition(): IPoint;
    static setScrollPosition(position: IPoint): void;
    static translateViewPortPosition(direction: Direction): void;
    static setZoom(value: number): void;
}
