import Scrollbars from 'react-custom-scrollbars';
import { IPoint } from '../interfaces/IPoint';
import { IRect } from '../interfaces/IRect';
import { ISize } from '../interfaces/ISize';
import { BaseEngine } from '../logic/engines/BaseEngine';
import { PrimaryEngine } from '../logic/engines/PrimaryEngine';
import { ViewPortHelper } from '../logic/ViewPortHelper';
export declare class EditorModel {
    static editor: HTMLDivElement;
    static canvas: HTMLCanvasElement;
    static mousePositionIndicator: HTMLDivElement;
    static cursor: HTMLDivElement;
    static viewPortScrollbars: Scrollbars;
    static image: HTMLImageElement;
    static primaryRenderingEngine: PrimaryEngine;
    static supportRenderingEngine: BaseEngine;
    static viewPortHelper: ViewPortHelper;
    static isLoading: boolean;
    static viewPortActionsDisabled: boolean;
    static mousePositionOnViewPortContent: IPoint;
    static viewPortSize: ISize;
    static defaultRenderImageRect: IRect;
}
