/// <reference types="react" />
import { IEditorData } from 'interfaces';
export declare class EditorActions {
    static fullRender(): void;
    static setLoadingStatus(status: boolean): void;
    static setActiveImage(image: HTMLImageElement): void;
    static setViewPortActionsDisabledStatus(status: boolean): void;
    static getEditorData(event?: Event): IEditorData;
    static updateMousePositionIndicator(event: React.MouseEvent<HTMLCanvasElement, MouseEvent> | MouseEvent): void;
}
