import { IRect } from 'interfaces/IRect';
import { BaseEngine } from './BaseEngine';
export declare class PrimaryEngine extends BaseEngine {
    constructor(canvas: HTMLCanvasElement);
    mouseMoveHandler(): void;
    mouseDownHandler(): void;
    mouseUpHandler(): void;
    render(): void;
    drawImage(image: HTMLImageElement, imageRect: IRect): void;
    isInProgress(): boolean;
}
