import { LabelType } from 'interfaces/enums';
import { AnnotationData, LabelPolygon, LabelRect } from 'store/labels/types';
export declare class LabelsSelector {
    static getActiveLabelType(): LabelType;
    static getImageData(): AnnotationData;
    static getImageDataById(): AnnotationData;
    static getActiveLabelId(): string | null;
    static getHighlightedLabelId(): string | null;
    static getActiveRectLabel(): LabelRect | null;
    static getActivePolygonLabel(): LabelPolygon | null;
}
