import React from 'react';
import { IPoint } from '../interfaces/IPoint';
import { IRect } from '../interfaces/IRect';
import { ISize } from '../interfaces/ISize';
export declare class CanvasUtil {
    static getMousePositionOnCanvasFromEvent(event: React.MouseEvent<HTMLCanvasElement, MouseEvent> | MouseEvent, canvas: HTMLCanvasElement): IPoint;
    static getClientRect(canvas: HTMLCanvasElement): IRect;
    static getSize(canvas: HTMLCanvasElement): ISize;
}
