import { IPoint } from '../interfaces/IPoint';
export declare class PointUtil {
    static equals(p1: IPoint, p2: IPoint): boolean;
    static add(p1: IPoint, p2: IPoint): IPoint;
    static subtract(p1: IPoint, p2: IPoint): IPoint;
    static multiply(p1: IPoint, factor: number): {
        x: number;
        y: number;
    };
    static getEuclidianDistance(p1: IPoint, p2: IPoint): number;
}
